summaryrefslogtreecommitdiffstats
path: root/external/poky/scripts/postinst-intercepts/update_icon_cache
diff options
context:
space:
mode:
authorToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
committerToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
commit5b80bfd7bffd4c20d80b7c70a7130529e9a755dd (patch)
treeb4bb18dcd1487dbf1ea8127e5671b7bb2eded033 /external/poky/scripts/postinst-intercepts/update_icon_cache
parent706ad73eb02caf8532deaf5d38995bd258725cb8 (diff)
agl-basesystem
Diffstat (limited to 'external/poky/scripts/postinst-intercepts/update_icon_cache')
-rw-r--r--external/poky/scripts/postinst-intercepts/update_icon_cache13
1 files changed, 13 insertions, 0 deletions
diff --git a/external/poky/scripts/postinst-intercepts/update_icon_cache b/external/poky/scripts/postinst-intercepts/update_icon_cache
new file mode 100644
index 00000000..9cf2a72a
--- /dev/null
+++ b/external/poky/scripts/postinst-intercepts/update_icon_cache
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+# update native pixbuf loaders
+$STAGING_DIR_NATIVE/${libdir_native}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders --update-cache
+
+for icondir in $D/usr/share/icons/*/ ; do
+ if [ -d $icondir ] ; then
+ gtk-update-icon-cache -fqt $icondir
+ fi
+done
+